=== modified file 'source/NVDAObjects/IAccessible/__init__.py'
--- source/NVDAObjects/IAccessible/__init__.py	2009-06-24 13:26:45 +0000
+++ source/NVDAObjects/IAccessible/__init__.py	2009-07-03 05:43:19 +0000
@@ -25,6 +25,7 @@
 import mouseHandler
 import queueHandler
 from NVDAObjects.progressBar import ProgressBar
+import re
 
 def getNVDAObjectFromEvent(hwnd,objectID,childID):
 	accHandle=IAccessibleHandler.accessibleObjectFromEvent(hwnd,objectID,childID)
@@ -1216,6 +1217,22 @@
 			return
 		super(MenuItem, self).event_gainFocus()
 
+class QVidget(IAccessible):
+	stripHtml=re.compile(r"<.*?>")
+	stripHead=re.compile(r"<head>.*?</head>")
+
+	def _get_name(self):
+		name=super(QVidget,self)._get_name()
+		if name:
+			return self.stripHtml.sub('',self.stripHead.sub('',name))
+		return None
+
+	def _get_description(self):
+		description=super(QVidget,self)._get_description()
+		if description:
+			return self.stripHtml.sub('',self.stripHead.sub('',description))
+		return None
+
 ###class mappings
 
 _staticMap={
@@ -1274,4 +1291,5 @@
 	("hh_kwd_vlist",IAccessibleHandler.ROLE_SYSTEM_LIST):"hh.KeywordList",
 	("Scintilla",IAccessibleHandler.ROLE_SYSTEM_CLIENT):"scintilla.Scintilla",
 	("MSOUNISTAT",IAccessibleHandler.ROLE_SYSTEM_CLIENT):"msOffice.MSOUNISTAT",
+	("QWidget",None):"QVidget",
 }

